//------------------------------------------------------------------
//
// Copyright (c) 1999 - 2009 Tapko Technologies GmbH
//
// PROPRIETARY RIGHTS of Tapko Technologies GmbH are involved
// in the subject matter of this material. All manufacturing,
// reproduction, use, and sales rights pertaining to this subject matter
// are governed by the license agreement. The recipient of this software
// implicitly accepts the terms of the license.
//
// This file is part of the Libraries of Tapko Technologies GmbH
// (e.g. TAPKO EIB/KNX Communication Stack)
//
//------------------------------------------------------------------
// $Workfile: Msp430_const.h $   
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/Msp430_const.h $     

// $Author: Thiere_m $         
// 
// $Date: 20.05.11 10:54 $
// $Revision: 1 $         
//------------------------------------------------------------------

//------------------------------------------------------------------
// derivates MSP430F14x (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F147) 
#define MSP430F14x
#define MSP_FLASH_START     0x8000
#define MSP_FLASH_END       0xFFFF
#define MSP_INFO_START      0x1000
#define MSP_INFO_END        0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F148) 
#define MSP430F14x 
#define MSP_FLASH_START  0x4000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F149) 
// first flash block is 256 byte
#define MSP430F14x 
#define MSP_FLASH_START  0x1200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

//------------------------------------------------------------------
// derivates MSP430F16x (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F167) 
#define MSP430F16x
#define MSP_FLASH_START  0x8000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F168) 
#define MSP430F16x
#define MSP_FLASH_START  0x4000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F169) 
// first flash block is 256 byte
#define MSP430F16x
#define MSP_FLASH_START  0x1200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F1610) 
#define MSP430F16x
#define MSP_FLASH_START  0x8000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F1611) 
#define MSP430F16x
#define MSP_FLASH_START  0x4000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F1612) 
#define MSP430F16x
#define MSP_FLASH_START  0x2500
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10FF
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

//------------------------------------------------------------------
// derivates MSP430F21x2 (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F2112) 
#define MSP430F21x2
#define MSP_FLASH_START  0xF800
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START   0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2122) 
#define MSP430F21x2
#define MSP_FLASH_START  0xF000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START   0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2132) 
#define MSP430F21x2
#define MSP_FLASH_START  0xE000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START   0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif


//------------------------------------------------------------------
// derivates MSP430F22x2 / MSP430F22x4 (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F2272) 
#define MSP430F22x2
#define MSP_FLASH_START  0x8000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2274) 
#define MSP430F22x4
#define MSP_FLASH_START  0x8000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

//------------------------------------------------------------------
// derivates MSP430F23x0 (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F2350) 
#define MSP430F23x0
#define MSP_FLASH_START  0xC000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2370) 
#define MSP430F23x0
#define MSP_FLASH_START  0x8000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

//------------------------------------------------------------------
// derivates MSP430F23x / 24x (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F233) 
#define MSP430F23x
#define MSP_FLASH_START  0xE000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F235) 
#define MSP430F23x 
#define MSP_FLASH_START  0xC000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif


#if (DERIVATE == MSP430F247) 
#define MSP430F24x
#define MSP_FLASH_START  0x8000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F248) 
#define MSP430F24x 
#define MSP_FLASH_START  0x4000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F249) 
// first flash block is 256 byte
#define MSP430F24x 
#define MSP_FLASH_START  0x1200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2410) 
#define MSP430F24x 
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

//------------------------------------------------------------------
// derivates MSP430F241x (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F2416) 
// first flash block is 256 byte
#define MSP430F241x
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2417) 
// first flash block is 256 byte
#define MSP430F241x
#define MSP_FLASH_START  0x3200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2418) 
// first flash block is 256 byte
#define MSP430F241x
#define MSP_FLASH_START  0x3200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2419) 
// first flash block is 256 byte
#define MSP430F241x
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

//------------------------------------------------------------------
// derivates MSP430F241x (Core: MSP430X)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F2416X) 
// first flash block is 256 byte
#define MSP430F241xX
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x18FFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2417X)  
// first flash block is 256 byte
#define MSP430F241xX
#define MSP_FLASH_START  0x3200
#define MSP_FLASH_END    0xFFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x19FFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2418X) 
// first flash block is 256 byte
#define MSP430F241xX
#define MSP_FLASH_START  0x3200
#define MSP_FLASH_END    0xFFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x1FFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2419X) 
// first flash block is 256 byte
#define MSP430F241xX
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x1FFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

//------------------------------------------------------------------
// derivates MSP430F261x (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F2616) 
// first flash block is 256 byte
#define MSP430F261x
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2617) 
// first flash block is 256 byte
#define MSP430F261x
#define MSP_FLASH_START  0x3200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2618) 
// first flash block is 256 byte
#define MSP430F261x
#define MSP_FLASH_START  0x3200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2619) 
// first flash block is 256 byte
#define MSP430F261x
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

//------------------------------------------------------------------
// derivates MSP430F261xX (Core: MSP430X)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F2616X) 
// first flash block is 256 byte
#define MSP430F261xX
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x18FFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2617X) 
// first flash block is 256 byte
#define MSP430F261xX
#define MSP_FLASH_START  0x3200
#define MSP_FLASH_END    0xFFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x19FFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2618X) 
// first flash block is 256 byte
#define MSP430F261xX
#define MSP_FLASH_START  0x3200
#define MSP_FLASH_END    0xFFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x1FFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

#if (DERIVATE == MSP430F2619X) 
// first flash block is 256 byte
#define MSP430F261xX
#define MSP_FLASH_START  0x2200
#define MSP_FLASH_END    0xFFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x1FFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END    0x10BF
#define MSP_INFO_SEG_SIZE   0x0040
#define MSP_INFO_SEG_MASK   0xffffFFC0
#endif

//------------------------------------------------------------------
// derivates MSP430F44x (Core: MSP430)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F447) 
#define MSP430F44x
#define MSP_FLASH_START  0x8000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END        0x107F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F448) 
#define MSP430F44x
#define MSP_FLASH_START  0x4000
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END        0x107F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F449) 
// first flash block is 256 byte
#define MSP430F44x
#define MSP_FLASH_START  0x1200
#define MSP_FLASH_END    0xFFFF
#define MSP_INFO_START  0x1000
#define MSP_INFO_END        0x107F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

//------------------------------------------------------------------
// derivates MSP430F541x (Core: MSP430X)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F5418) 
#define MSP430F541x
#define MSP_FLASH_START  0x05C00
#define MSP_FLASH_END    0x0FFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x25BFF
#define MSP_INFO_START  0x1800
#define MSP_INFO_END        0x197F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F5419) 
#define MSP430F541x
#define MSP_FLASH_START  0x05C00
#define MSP_FLASH_END    0x0FFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x25BFF
#define MSP_INFO_START  0x1800
#define MSP_INFO_END        0x197F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

//------------------------------------------------------------------
// derivates MSP430F543x (Core: MSP430X)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F5435) 
#define MSP430F543x
#define MSP_FLASH_START  0x05C00
#define MSP_FLASH_END    0x0FFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x35BFF
#define MSP_INFO_START  0x1800
#define MSP_INFO_END        0x197F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F5436) 
#define MSP430F543x
#define MSP_FLASH_START  0x05C00
#define MSP_FLASH_END    0x0FFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x35BFF
#define MSP_INFO_START  0x1800
#define MSP_INFO_END        0x197F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F5437) 
#define MSP430F543x
#define MSP_FLASH_START  0x05C00
#define MSP_FLASH_END    0x0FFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x45BFF
#define MSP_INFO_START  0x1800
#define MSP_INFO_END        0x197F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

#if (DERIVATE == MSP430F5438) 
#define MSP430F543x
#define MSP_FLASH_START  0x05C00
#define MSP_FLASH_END    0x0FFFF
#define MSP_FLASH1_START  0x10000
#define MSP_FLASH1_END    0x45BFF
#define MSP_INFO_START  0x1800
#define MSP_INFO_END        0x197F
#define MSP_INFO_SEG_SIZE   0x0080
#define MSP_INFO_SEG_MASK   0xffffFF80
#endif

//------------------------------------------------------------------
// derivates MSP430F552x (Core: MSP430X)
//------------------------------------------------------------------
#if (DERIVATE == MSP430F5528) 
#define MSP430F552x
#define MSP_FLASH_START   0x04400
#define MSP_FLASH_END     0x0ffff
//#define MSP_FLASH1_START  0x04400
//#define MSP_FLASH1_END    0x093ff
//#define MSP_FLASH1_START  0x10000
//#define MSP_FLASH1_END    0x243ff
#define MSP_INFO_START    0x01800
#define MSP_INFO_END      0x0197F
#define MSP_INFO_SEG_SIZE 0x0080
#define MSP_INFO_SEG_MASK 0xffffFF80
#endif

//------------------------------------------------------------------
//#include <in430.h>

#ifdef MSP430F14x
#define MSP430F1xx
#define MSP430
#include  <msp430x14x.h>
#endif

#ifdef MSP430F16x
#define MSP430F1xx
#define MSP430
#include  <msp430x16x.h>
#endif

#ifdef MSP430F21x2
#define MSP430F2xx
#define MSP430
#include  <msp430x21x2.h>
#endif

#ifdef MSP430F22x2
#define MSP430F2xx
#define MSP430
#include  <msp430x22x2.h>
#endif

#ifdef MSP430F22x4
#define MSP430F2xx
#define MSP430
#include  <msp430x22x4.h>
#endif

#ifdef MSP430F23x0
#define MSP430F2xx
#define MSP430
#include  <msp430x23x0.h>
#endif

#ifdef MSP430F23x
#define MSP430F2xx
#define MSP430
#include  <msp430x23x.h>
#endif

#ifdef MSP430F24x
#define MSP430F2xx
//#define MSP430X
#define MSP430
#include  <msp430x24x.h>
#endif

#ifdef MSP430F241x
#define MSP430F2xx
#define MSP430
#include  <msp430x24x.h>
#endif

#ifdef MSP430F261x
#define MSP430F2xx
#define MSP430
#include  <msp430x24x.h>
#endif

#ifdef MSP430F44x
#define MSP430F4xx
#define MSP430
#include <msp430x44x.h>
#endif

// MSP430X
#ifdef MSP430F241xX
#define MSP430F2xx
#define MSP430X
#include  <msp430x24x.h>
#endif

#ifdef MSP430F261xX
#define MSP430F2xx
#define MSP430X
#include  <msp430x24x.h>
#endif

#ifdef MSP430F541x
#define MSP430F54xx
#define MSP430X
#include <msp430x54x.h>
#endif

#ifdef MSP430F543x
#define MSP430F54xx
#define MSP430X
#include <msp430x54x.h>
#endif

#ifdef MSP430F552x
#define MSP430F55xx
#define MSP430
#include <msp430x552x.h>
#endif

//------------------------------------------------------------------
// definitions of registers of MSP430F1x
//------------------------------------------------------------------
#ifndef SELM_DCOCLK
#define SELM_DCOCLK     0
#endif
#ifndef SELM_XT2CLK
#define SELM_XT2CLK     SELM1
#endif
#define SELM_XLFT1CLK   SELM0 | SELM1

#ifndef SELS_DCOCLK
#define SELS_DCOCLK     0
#define SELS_XT2CLK     SELS
#endif

#ifndef TASSEL_TACLK
#define TASSEL_TACLK    0
#define TASSEL_ACLK     TASSEL0
#define TASSEL_SMCLK    TASSEL1
#define TASSEL_INCLK    TASSEL0 | TASSEL1
#endif

#define TASSEL_DIV0     0
#define TASSEL_DIV2     ID0 
#define TASSEL_DIV4     ID1
#define TASSEL_DIV8     ID0 | ID1

#define TAMC_STOP       0
#define TAMC_UP_CCR0    MC0
#define TAMC_UP         MC1
#define TAMC_UP_DOWN    MC0 | MC1

// UCTL - UART Control register
#define UCTL_SWRST   0x01
#define UCTL_MM      0x02 
#define UCTL_SYNC    0x04
#define UCTL_LISTEN  0x08
#define UCTL_CHAR    0x10
#define UCTL_SP      0x20
#define UCTL_PEV     0x40
#define UCTL_PENA    0x80

// UTCTL - Transmit Control Register
#define UTCTL_TXEPT  0x01
#define UTCTL_WAKE   0x04
#define UTCTL_URXSE  0x08
#define UTCTL_SSEL0  0x10
#define UTCTL_SSEL1  0x20
#define UTCTL_CKPL   0x40

#define UTCTL_SSEL_UCLK  0x00
#define UTCTL_SSEL_ACLK  UTCTL_SSEL0
#define UTCTL_SSEL_MCLK  UTCTL_SSEL1 | UTCTL_SSEL0

// URCTL - Receive Control Register
#define URCTL_RXERR  0x01
#define URCTL_RXWake 0x02
#define URCTL_URXWIE 0x04
#define URCTL_URXEIE 0x08
#define URCTL_BRK    0x10
#define URCTL_OE     0x20
#define URCTL_PE     0x40
#define URCTL_FE     0x80

// IE1 -  Interrupt enable register
#define URXIE        0x40
#define UTXIE        0x80

#ifndef URXE0                          // > IAR C V126B, constants included in header                        
// ME1 - Module enable 1
#define URXE0        0x40
#define UTXE0        0x80
#endif

#define DM_intVectStart 0x20
#define DM_intVect_DACDMA      (DM_intVectStart+0x00)
#define DM_intVect_PORT2       (DM_intVectStart+0x01)
#define DM_intVect_USART1TX    (DM_intVectStart+0x02)
#define DM_intVect_USART1RX    (DM_intVectStart+0x03)
#define DM_intVect_PORT1       (DM_intVectStart+0x04)
#define DM_intVect_TIMERA1     (DM_intVectStart+0x05)
#define DM_intVect_TIMERA0     (DM_intVectStart+0x06)
#define DM_intVect_ADC         (DM_intVectStart+0x07)
#define DM_intVect_USART0TX    (DM_intVectStart+0x08)
#define DM_intVect_USART0RX    (DM_intVectStart+0x08)
#define DM_intVect_WDT         (DM_intVectStart+0x09)
#define DM_intVect_COMPARATORA (DM_intVectStart+0x0a)
#define DM_intVect_TIMERB1     (DM_intVectStart+0x0b)
#define DM_intVect_TIMERB0     (DM_intVectStart+0x0c)
#define DM_intVect_NMI         (DM_intVectStart+0x0d)
#define DM_intVectEnd          (DM_intVectStart+0x0d)

