//------------------------------------------------------------------
//
// Copyright (c) 1999 - 2009 Tapko Technologies GmbH
//
// PROPRIETARY RIGHTS of Tapko Technologies GmbH are involved
// in the subject matter of this material. All manufacturing,
// reproduction, use, and sales rights pertaining to this subject matter
// are governed by the license agreement. The recipient of this software
// implicitly accepts the terms of the license.
//
// This file is part of the Libraries of Tapko Technologies GmbH
// (e.g. TAPKO EIB/KNX Communication Stack)
//
//------------------------------------------------------------------
// $Workfile: TaUtil_Timer.h $
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/TaUtil_Timer.h $

// $Author: Thiere_m $
//
// $Date: 20.05.11 10:54 $
// $Revision: 1 $
//------------------------------------------------------------------
// 08.06.2006 file renamed from timer.h to TaUtil_timer.h
//------------------------------------------------------------------

//#ifndef PROJECT_SETTINGS
//#error error: no project.h included
//#endif

#ifndef taUtil_Timer_h
#define taUtil_Timer_h
//------------------------------------------------------------------
// structure for one timer
//------------------------------------------------------------------
typedef struct {
  unsigned short startTime;                      // start time in ms / s
  unsigned short delayTime;                      // delay time in ms / s
  unsigned char state;                           // state of the timer (running, stopped ...
  unsigned char mode;                            // mode of the timer (cyclic, s / ms)
} TM_tmStruct;

//------------------------------------------------------------------
// function prototypes
//------------------------------------------------------------------
void TMB_Init(void);
_CRITICAL unsigned long TMB_GetTime(unsigned char mode);
_CRITICAL unsigned long TM_GetSysTime(void);

extern void TM_StartTimer(unsigned char timerNr, unsigned short time, unsigned char mode);
extern void TM_StopTimer(unsigned char timerNr);
extern void TM_Init(void);
extern TA_BOOL TM_Cycle(void);
extern TA_BOOL TM_GetState(unsigned char timerNr);
extern void TM_Delay(unsigned short time);
extern TA_BOOL TM_GetInfo(unsigned char timerNr, unsigned short *remainingTime);

//------------------------------------------------------------------
// timer constants
//------------------------------------------------------------------
#define TM_MODE_CYCLE        0x01

#define TM_MODE_1MS          0x00
#define TM_MODE_1S           0x02
#define TM_MODE_1MIN         0x04
#define TM_MODE_1H           0x06
#define TM_MODE_TIME_MASK    0x06

#define TM_MODE_LL_EVENT     0x08
#define TM_MODE_TL_MSG       0x10
#define TM_MODE_USR_MSG      0x20

#define TM_STATE_RUNNING     0x01
#define TM_STATE_ELAPSED     0x02

//------------------------------------------------------------------
// timer variables
//------------------------------------------------------------------
extern const char TM_timerNr;
extern TM_tmStruct TM_tmData[];
extern volatile unsigned long  TM_counter1ms;
extern volatile unsigned long TM_counter1s;
extern volatile unsigned short TM_counter1s_help;

extern TA_BOOL TM_100msTick;

#endif // taUtil_Timer_h
