//------------------------------------------------------------------
//
// Copyright (c) 1999 - 2009 Tapko Technologies GmbH
//
// PROPRIETARY RIGHTS of Tapko Technologies GmbH are involved
// in the subject matter of this material. All manufacturing,
// reproduction, use, and sales rights pertaining to this subject matter
// are governed by the license agreement. The recipient of this software
// implicitly accepts the terms of the license.
//
// This file is part of the Libraries of Tapko Technologies GmbH
// (e.g. TAPKO EIB/KNX Communication Stack)
//
//------------------------------------------------------------------
// $Workfile: constant.h $   
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/constant.h $     

// $Author: Thiere_m $         
// 
// $Date: 20.05.11 10:54 $
// $Revision: 1 $   
//      
//------------------------------------------------------------------

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
#define KAI_BIG_ENDIAN                    0001
#define KAI_LITTLE_ENDIAN                 0002

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// the definitions of the target microcontroller are kept only for compatibility reasons
#define TARGET_PROCESSOR_I386             0001
#define TARGET_PROCESSOR_HC11             0002
#define TARGET_PROCESSOR_NEC_78F0034AY    0003
#define TARGET_PROCESSOR_ATMEL_AVR        0004
#define TARGET_PROCESSOR_TI430            0005
#define TARGET_PROCESSOR_ARM_CORTEX       0006

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
#define TARGET_OS_NONE                    0000
#define TARGET_OS_WIN95                   0001
#define TARGET_OS_WINNT                   0002
#define TARGET_OS_LINUX                   0003
#define TARGET_OS_DOS                     0004

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
#define TARGET_EEPROM_NONE                0001
#define TARGET_EEPROM_READ_NORMAL         0002
#define TARGET_EEPROM_READ_COPY           0003 

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// the definitions of the compiler are kept only for compatibility reasons
#define COMPILER_MSVC32                   0001
#define COMPILER_IAR                      0002
#define COMPILER_GCC                      0003
#define COMPILER_MSVC16                   0004

//------------------------------------------------------------------
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// definitions for DERIVATE (MSP430 family)
// core MSP430
#define MSP430F147                        147
#define MSP430F148                        148
#define MSP430F149                        149

#define MSP430F167                        167
#define MSP430F168                        168
#define MSP430F169                        169
#define MSP430F1610                       1610
#define MSP430F1611                       1611
#define MSP430F1612                       1612

#define MSP430F2112                       2112
#define MSP430F2122                       2122
#define MSP430F2132                       2132

#define MSP430F2272                       2272
#define MSP430F2274                       2274

#define MSP430F2350                       2350
#define MSP430F2370                       2370

#define MSP430F233                        233
#define MSP430F235                        235
#define MSP430F247                        247
#define MSP430F248                        248
#define MSP430F249                        249
#define MSP430F2410                       2410

#define MSP430F2416                       2416
#define MSP430F2417                       2417
#define MSP430F2418                       2418
#define MSP430F2419                       2419

#define MSP430F2616                       2616
#define MSP430F2617                       2617
#define MSP430F2618                       2618
#define MSP430F2619                       2619

#define MSP430F447                        447
#define MSP430F448                        448
#define MSP430F449                        449

// core MSP430X
#define MSP430F2416X                      12416
#define MSP430F2417X                      12417
#define MSP430F2418X                      12418
#define MSP430F2419X                      12419

#define MSP430F2616X                      12616
#define MSP430F2617X                      12617
#define MSP430F2618X                      12618
#define MSP430F2619X                      12619

#define MSP430F5418                       5418
#define MSP430F5419                       5419
#define MSP430F5435                       5435
#define MSP430F5436                       5436
#define MSP430F5437                       5437
#define MSP430F5438                       5438
#define MSP430F5528                       5528

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// definitions for DERIVATE (M16C family)
#define M16C62P                           1662
#define M16C6S                            16683

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// definitions for DERIVATE (ARM cortex family)
// TI Stellaris 
#define LM3S9B92                          3992
// ST 
#define STM3210C                          32103

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// definitions for the category of error messages 
// this categories are used for the windows project and stored in the registry
#define DB_LL                            0x00000001L
#define DB_NL                            0x00000002L
#define DB_TL                            0x00000004L
#define DB_TLG                           0x00000008L
#define DB_TLB                           0x00000010L
#define DB_AL                            0x00000020L
#define DB_MN                            0x00000040L

#define DB_MN_APCI                       0x00000100L
#define DB_NM_LSM                        0x00000200L
#define DB_NM_LINK_SERVICES              0x00000400L

#define DB_MSG                           0x00000010L
#define DB_LL_MSG                        0x00000020L
#define DB_misc                          0x00000200L
#define DB_A_MODE                        0x00000400L
#define DB_I2C                           0x00000800L
#define DB_PLL                           0x00001000L
#define DB_IP_MGNT                       0x00002000L
#define DB_KNX_IP                        0x00004000L

#define DB_APP_1                         0x00010000L   
#define DB_APP_2                         0x00020000L   
#define DB_APP_3                         0x00040000L   
#define DB_APP_4                         0x00080000L   
#define DB_APP_5                         0x00100000L   
#define DB_APP_6                         0x00200000L   
#define DB_APP_7                         0x00400000L   
#define DB_APP_8                         0x00800000L   
#define DB_NONE                          0x80000000L
