//------------------------------------------------------------------
// $Workfile: eib_stk.h $
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/eib_stk.h $
//
// Project:    SIBE Master
//
// $Author: Thiere_m $
//
// Copyright GFS
// 
// modified by Tapko Technologies GmbH
//
// $Date: 20.05.11 10:54 $
// $Revision: 1 $
//------------------------------------------------------------------

#include "project.h"
#include "constant.h"
#include "Msp430_const.h"

#define TARGET_EEPROM_NONE                0001
#define TARGET_EEPROM_READ_NORMAL         0002
#define TARGET_EEPROM_READ_COPY           0003 
#define TARGET_EEPROM             TARGET_EEPROM_READ_NORMAL 

#define MEMSEG_FLASH_TMP const /*__root const*/
#define _CRITICAL                      __monitor

#define WDG_RESET()         WDTCTL = WDTPW | WDTCNTCL;            // reset watchdog
#define WDG_START()         WDTCTL = WDTPW | WDTCNTCL;
#define WDG_STOP()          WDTCTL = WDTPW | WDTHOLD ;


#ifndef TA_BOOL
  #define TA_BOOL    signed char   
  #define TA_TRUE    (0==0) 
  #define TA_FALSE   (0==1) 
#endif 

#ifndef KNX_BOOL
  #define KNX_BOOL   TA_BOOL
  #define KNX_TRUE   TA_TRUE
  #define KNX_FALSE  TA_FALSE
#endif

#ifndef _BOOL
  #define _BOOL   TA_BOOL
  #define _TRUE   TA_TRUE
  #define _FALSE  TA_FALSE
#endif


#define UT_CopyMem(src, dst, cnt)   memcpy(dst, src, cnt)

#define MCLK_FREQU      XT1_FREQU
#define ACLK_FREQU      XT1_FREQU
#define SMCLK_FREQU     XT1_FREQU

#define CCR2_const        (ACLK_FREQU / 500 )            // const for CCR for clock of 2 ms (input divider: 0)
#define TM_CLOCK_COUNT    CCR2_const 
#define TM_MS_TIMER_ADDER 2
#define TM_S_TIMER_ADDER  500
#define MSP_TM_TIMERBLOCK 0

#include "TaUtil_Timer.h"
