//------------------------------------------------------------------
// $Workfile: taUtil_Fifo.h $
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/INC/taUtil_Fifo.h $

// $Author: Thiere_m $
//
// Copyright Tapko Technologies GmbH
//
// $Date: 20.05.11 10:54 $
// $Revision: 1 $
//------------------------------------------------------------------
#ifndef taUtil_fifo_h
#define taUtil_fifo_h

typedef struct
{
  char *buffer;
  unsigned size;
  unsigned writePtr;
  unsigned readPtr;
} FIFO_Sstate;

void FIFO_Init(FIFO_Sstate *fifo, char *bufferPtr, unsigned bufferSize);
void FIFO_Clear(FIFO_Sstate *fifo);
_BOOL FIFO_AddByte(FIFO_Sstate *fifo, char byte);
_BOOL FIFO_GetByte(FIFO_Sstate *fifo, char *byte);
_BOOL FIFO_IsEmpty(FIFO_Sstate *fifo);

_CRITICAL unsigned FIFO_GetFillState(FIFO_Sstate *fifo);
_BOOL FIFO_AddString(FIFO_Sstate *fifo, char *buffer, unsigned char size);
_BOOL FIFO_GetString(FIFO_Sstate *fifo, char *buffer, unsigned char *size, unsigned char delimiter);

#endif // taUtil_fifo_h
