//------------------------------------------------------------------
// $Workfile: A1008TA_KIMaip_Eval.c $   
// $Archive: /eib_stk/appl/A1008TA_KIMaip_Eval/src/A1008TA_KIMaip_Eval.c $     

// $Author: Thiere_m $         
// 
// Copyright Tapko Technologies GmbH
// 
// $Date: 20.05.11 10:53 $
// $Revision: 2 $         
//------------------------------------------------------------------
 
#include "project.h"
#include "eib_stk.h"
#include "app.h"

const char TM_timerNr = TM_TIMER_NR;
TM_tmStruct TM_tmData[TM_TIMER_NR];

char com1_rxBuffer[30];
char com1_txBuffer[SER_MAX_COMMAND_LENGTH];

void MSP430_InitSave(void)
{
  
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// data for serial interface
LSC_SerialData com1_data;

//------------------------------------------------------------------
// default configuration of serial interface
const LSC_SerialConfig com1_config =
{
  SER_PORT,       // unsigned short portNr   : 3;
  LSC_data8,      // unsigned short dataBits : 1;
  LSC_parityNone, // unsigned short parity   : 2;
  LSC_stop1,      // unsigned short stop     : 1;
  0,              // unsigned short dummy    : 1;
//  LSC_baud9600,   // unsigned short baudrate : 4;
  LSC_baud38400,   // unsigned short baudrate : 4;
  LSC_TX_BLOCKING,       // flags

  sizeof com1_rxBuffer,
  com1_rxBuffer,
  sizeof com1_txBuffer,
  com1_txBuffer,
};


//------------------------------------------------------------------
void Restart(void)
{
  _DINT();
  WDG_START();
  while (_TRUE)
    ;
}


//------------------------------------------------------------------
// Initialization of application
//------------------------------------------------------------------
void APP_Init(void)
{
  IMM_Init();
  SerAsciiInterface_Init();
  IMD_Init();
}

//------------------------------------------------------------------
// Main program of application (cyclic called)
//------------------------------------------------------------------
void APP_Main(void)
{
  SerAsciiInterface_Main();
  IMD_Cycle();
}
