#include "project.h"
#include "eib_stk.h"

#define KSP_RO   0x00
#define KSP_RW   0x01

#define KSP_PTR_TYPE 0x06
#define KSP_PTR_FKT  0x02
#define KSP_PTR_DTA  0x04

#define KSP_END_LIST  0x0000
#define KSP_PYHS_ADDR 0x0001
#define KSP_PROG_MODE 0x0002




typedef struct
{
  unsigned short id;
  unsigned short flags;
  unsigned char *ptr;
  unsigned char length;
} KSP_sysParamStruct;

//------------------------------------------------------------------
const KSP_sysParamStruct KSP_sysParam[] =
{
  {KSP_PYHS_ADDR, KSP_RW | KSP_PTR_FKT, (unsigned char *) &KNX_GetPtrToPhysicalAddress, 2},
//  {KSP_PROG_MODE, KSP_RW | KSP_PTR_DTA, &progMode, 1},
  {KSP_END_LIST}
};

//------------------------------------------------------------------
unsigned short KSP_GetEntry(unsigned short id)
{
  unsigned short index;

  index = 0;
  while (KSP_sysParam[index].id != id)
  {
    if (KSP_sysParam[index].id == id)
      return index;
    index++;
  };
  return 0xffff;
}

//------------------------------------------------------------------
unsigned short KSP_GetData(unsigned short id, unsigned char *data, unsigned char write)
{
  unsigned char *l_sysParamAddr;
  unsigned short index;

  index = KSP_GetEntry(id);
  if (index == 0xffff)
    return 0;

  
  switch (KSP_sysParam[index].flags & KSP_PTR_TYPE)
  {
    case KSP_PTR_FKT:
      l_sysParamAddr = ((void *(*)(void)) KSP_sysParam[index].ptr)();
      break;

    case KSP_PTR_DTA:
      l_sysParamAddr = KSP_sysParam[index].ptr;
      break;
  }
  if ((write != 0) && (KSP_sysParam[index].flags & KSP_RW) != 0)
    UT_CopyMem(data, l_sysParamAddr, KSP_sysParam[index].length);
  UT_CopyMem(l_sysParamAddr, data, KSP_sysParam[index].length);
  return KSP_sysParam[index].length;
  
}
