//------------------------------------------------------------------
// $Workfile: main.c $   
// $Archive: /eib_stk/appl/A1008TA_KIMAIP_EVAL/src/main.c $     

// $Author: Thiere_m $         
// 
// Copyright Tapko Technologies GmbH
// 
// $Date: 7.12.10 14:34 $
// $Revision: 1 $         
//------------------------------------------------------------------
#include "project.h"
#include "eib_stk.h"
#include "app.h"

void MSP430F1xx_InitOsc(void)
{

                                       // DCO: 7
                                       // MOD: 0                                      
  DCOCTL = 0x0e0;                      // switch ACLK / MCLK clock to Crystal
//---                                  
                                       // Rsel
                                       // XT5V
                                       // DIVA: source for ACLK
                                       // XTS: LFXT1 low/high frequ mode
                                       // XT2Off
  BCSCTL1 = 0x0c0 /*+ 0x30*/;
#if defined(MSP430F2xx)
  BCSCTL3 = LFXT1S1;                   // select frequency range (3 - 16 MHz)
                                       // internal C not usable for high frequency
#endif 

// Test and wait till HF-Oscillator is running
  IFG1 &= ~OFIFG;                      // reset oszilator fault flag
  while ((IFG1 & OFIFG) == OFIFG)
  {
     IFG1 &= ~OFIFG;                   // reset oszilator fault flag
  }

// Select the DCO without divisor (d=1) as source for the SCLK. 
// SCLK  is the clock for the Watch Dog in this target
//---
                                       // resistor select (DCOR): internal
                                       // divider for SMCLK (DIVS): 0
                                       // selector for SMCLK (SELS): DCOCLK
                                       // divider for MCLK (DIVM): 0
                                       // selector for MCLK (SELM): XT2
  BCSCTL2 = SELM_XLFT1CLK | SELS_DCOCLK /*|0x36*/; 
}

void MSP430_InitTimer(void)
{
//- - - - - - - - - - - - - - - - - - -   Timer system
                                       // Timer overflow interrupt (TAIE): enabled
                                       // mode (MC0, MC1)
                                       // input divider (ID0, ID1)
                                       // input source (TASSEL0-2)

//- - - - - - - - - - - - - - - - - - -   Timer for sysclock
  TACTL = TAIE | TAMC_UP | TASSEL_ACLK | TASSEL_DIV0;

  TACCR2 = TM_CLOCK_COUNT;          // clock for software timer
  TACCTL2 = CCIFG | CCIE;
}



void hwinit(void)
{
  _DINT();                             // Disable interrupts

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  WDG_STOP();                          // Stop watchdog timer

  P1OUT = 0;
  P2OUT = 0;
  P3OUT = 0;
  P4OUT = 0;


//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  MSP430F1xx_InitOsc();

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  MSP430_InitTimer();

  _EINT();                             // Enable interrupts
}


  
//------------------------------------------------------------------
void main(void)               
{         
  hwinit () ;                          // peripheral settings 
 
  WDG_START();

  TM_Init();
  APP_Init();
  
  while (_TRUE) 
  {
    WDG_RESET();
    TM_Cycle();
    APP_Main();
  }
}
 
